Skip to content

Get Models

GET
/api/agents/get_models
curl --request GET \
--url https://example.com/api/agents/get_models \
--header 'Authorization: Bearer <token>'

Successful Response

Media typeapplication/json
getLlmResponse
object
active
required
Active

Models currently live in Databricks.

Array<object>
LlmModelResponse
object
model_name
required
Model Name

Primary key — exact Databricks endpoint name.

string
display_name
required
Display Name

Serving endpoint name

string
serving_endpoint
required
Serving Endpoint

Databricks serving endpoint name.

string
endpoint_state
Any of:
string
serving_type
Any of:
string
release_date
Any of:
string format: date
expiration_date
Any of:
string format: date
is_expired
required
Is Expired

True when the model no longer appears in the Databricks API.

boolean
first_seen_at
Any of:
string format: date-time
last_synced_at
Any of:
string format: date-time
expired
required
Expired

Models that have disappeared from the Databricks API.

Array<object>
LlmModelResponse
object
model_name
required
Model Name

Primary key — exact Databricks endpoint name.

string
display_name
required
Display Name

Serving endpoint name

string
serving_endpoint
required
Serving Endpoint

Databricks serving endpoint name.

string
endpoint_state
Any of:
string
serving_type
Any of:
string
release_date
Any of:
string format: date
expiration_date
Any of:
string format: date
is_expired
required
Is Expired

True when the model no longer appears in the Databricks API.

boolean
first_seen_at
Any of:
string format: date-time
last_synced_at
Any of:
string format: date-time
total_active
required
Total Active

Count of active models.

integer
total_expired
required
Total Expired

Count of expired models.

integer
Examplegenerated
{
"active": [
{
"model_name": "example",
"display_name": "example",
"serving_endpoint": "example",
"endpoint_state": "example",
"serving_type": "example",
"release_date": "2026-04-15",
"expiration_date": "2026-04-15",
"is_expired": true,
"first_seen_at": "2026-04-15T12:00:00Z",
"last_synced_at": "2026-04-15T12:00:00Z"
}
],
"expired": [
{
"model_name": "example",
"display_name": "example",
"serving_endpoint": "example",
"endpoint_state": "example",
"serving_type": "example",
"release_date": "2026-04-15",
"expiration_date": "2026-04-15",
"is_expired": true,
"first_seen_at": "2026-04-15T12:00:00Z",
"last_synced_at": "2026-04-15T12:00:00Z"
}
],
"total_active": 1,
"total_expired": 1
}